from xml.parsers.expat import ParserCreate

class LotParse:
    def __init__(self,xmlfile,outfile=''):
        try:
            f=open(xmlfile)
        except:
            print "Can't find file %s" % xmlfile
            raise
        self.xml=f.read()
        f.close()
        if not outfile:
            outfile='out_%s' % xmlfile
        self.fout=open(outfile,'w')
        self.count=0
        
        
    def run(self):
                 
        p=ParserCreate()
        p.StartElementHandler=self.start_element
        p.EndElementHandler=self.end_element       
        p.Parse(self.xml)
        del p        
    
    def start_element(self,name,attrs):
        
        if attrs.has_key('SubmissionID'):
            self.count+=1
            attrs['SubmissionID']=str(self.count)
        self.wout(name,attrs)
        
        
    def end_element(self,name):    
        self.wout('/%s' % name)
        
    def wout(self,name,attrs={}):       
        attrstr='' 
        for attrkey in attrs.keys():
            attrstr='%s %s = "%s"' % (attrstr,attrkey,attrs[attrkey]) 
         
        s='<%s%s>\n' % (name,attrstr)
        self.fout.write(s)
              
        
            
        
if __name__=='__main__':
    from time import ctime,time        
    print ctime(time())
    print
    lp=LotParse('Lot9.0Sample.xml')
    lp.run()
    print 'done'